///
/// Hyperspace by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///

/* Basic */

	html {

		//Scrollbar style
		scrollbar-color: _palette(accent5) _palette(accent5);
		overflow-y: scroll;
		scrollbar-width: thin;

		//Chrome 
		::-webkit-scrollbar {
			height: 12px;
			width: 12px;
			background: _palette(accent5);
		}
		::-webkit-scrollbar-thumb {
			background: _palette(accent5);
		}
		::-webkit-scrollbar-corner {
			background: _palette(accent5);
		}

		//IE
		scrollbar-face-color: black;
		scrollbar-shadow-color: black;
		scrollbar-highlight-color: black;
		scrollbar-3dlight-color: black;
		scrollbar-darkshadow-color: black;
		scrollbar-track-color: black;
		scrollbar-arrow-color: black;
	}

	// MSIE: Required for IEMobile.
		@-ms-viewport {
			width: device-width;
		}

	// MSIE: Prevents scrollbar from overlapping content.
		body {
			-ms-overflow-style: scrollbar;
		}

	// Ensures page width is always >=320px.
		@include breakpoint(xsmall) {
			html, body {
				min-width: 320px;
			}
		}

	body {
		background: _palette(bg);

		// Prevents animation/transition "flicker" on page load.
		// Automatically added/removed by js/main.js.
			&.is-loading {
				*, *:before, *:after {
					@include vendor('animation', 'none !important');
					@include vendor('transition', 'none !important');
				}
			}
	
	}
